VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsCustomers

Create Customer relation

Create a new Customer relation.

POST
/customer-relations

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

vayuParentCustomerId*string

Identifier of the parent customer in Vayu.

vayuChildCustomerId*string

Identifier of the child customer in Vayu.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customer-relations" \  -H "Content-Type: application/json" \  -d '{    "vayuParentCustomerId": "string",    "vayuChildCustomerId": "string"  }'
{  "customerRelation": {    "vayuParentCustomerId": "string",    "vayuChildCustomerId": "string",    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}